package com.zaojiao.app.feat.home.course

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.PaddingValues
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.lazy.LazyRow
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp

@Composable
fun HomeCourseCategory() {
    LazyRow(
        modifier = Modifier
            .padding(vertical = 14.dp)
            .height(64.dp)
            .fillMaxWidth(),
        contentPadding = PaddingValues(horizontal = 16.dp)
    ) {
        items(100) { index ->
            Text(
                text = "$index",
                modifier = Modifier
                    .background(color = Color.Red)
                    .fillMaxWidth()
                    .height(48.dp),
                style = TextStyle(
                    fontSize = 16.sp,
                    color = Color.Yellow,
                )
            )
        }
    }
}